#
#
ID	medelamer.conf	rev4
DATE	20110524
AUTHOR	SDM
INFO	http://www.seanster.com/lamer
INFO	This file contains all configuration of the medelamer program
INFO	You may alter the default SET, or add your own custom SET (eventually)
INFO	Default icon set uses "GlynRS2_icons_V2" and "moviejukebox_v2.3" for the rating icons.
#
#
#
# All Fields are *** TAB SEPARATED *** (3 columns max)
# All Lines terminated by NEWLINE (ATTENTION WINDOWS USERS!)
# CASE is ALWAYS IMPORTANT
#
#
# DEFAULT	SET	<name> (arbitrary name of the set you want to use by default)
# Only used if the configuration file does not specify a defaut set name.
#
#
# SETs:
#
# COL1: "SET"
# COL2: BEGIN | END
# COL3: Arbitrary Set Name
#
# To make parsing easier you need to mark both the beginning and end of a SET.
# As of rev2 the SET is ignored. Don't put multiple SETs in this file yet.
#
#
# CATegories:
#
# COL1: "CAT"
# COL2: BEGIN | PATH | END
# COL3: Arbitrary Set Name | Path
#
# The CAT section lists all the categories you want the program to create.
#
# COL1: Category ID
# COL2: Folder Name
# COL3: Folder Icon (assumed to be in \Category\, appended to CAT_PATH)
#
# Category IDs are hardcoded in the program. You may add unknown categories to this file
# but they will be ignored until someone revises the program to handle them.
#
#
# ### 
# ### 
# ### Category Definitions:
# ### 
# ### 
#
# COL1: Category ID
# COL2: BEGIN | PATH | END
# COL3: Arbitrary Set Name | Path
#
#
# : 3D :
#
# (not yet implemented)
#
#
# : AZ :
#
# Folders A thru Z 0 thru 9, based on the first letter of their title. (excluding 'the')
# 0-9, A-B, C-D, E-F, G-H, I-K, L-M, N-O, P-R; S-T; U-W; X-Z
# Icons are assumed to be named like "C-D.png"
#
#
# : ACTOR :
#
# (not yet implemented)
# Folders named for the Actor+(Birth Year)
#
#
# : ALL :
#
# (not yet implemented)
#
#
# : ANIMATED :
#
# (not yet implemented)
#
#
# : DECADE :
#
# Folders for each decade encountered.
# Example:
# 1920 - 1920-1929
# Icons are assumed to be like "1930.png"
#
#
# : DIRECTOR :
#
# (not yet implemented)
# Folders named for the Director(s)+(Birth Year)
#
#
# : FORMAT :
#
# (not yet implemented)
# Folders named for any formats we are interested in sorting by
# HD, SD, XVID, BD, HDDVD, etc
#
#
# : GENRE : 
# Movie files are scraped for genre lists. Movies are linked into every applicable genre folder.
#
# COL1: "Genre scraped from your movie's various info files"
# COL2: "Genre Folder (also the Unique Friendly Name)"
# COL3: "Genre Folder Icon" to append to GENRE_PATH
#
# If you have multiple names for what is essentially the same genre just repeat the line
# just repeat genre lines for matching genre names.
#
# Example:
# Sex/Drugs	Rock-n-roll	wicked.png
# Sex	Rock-n-roll	wicked.png
# Drugs	Rock-n-roll	wicked.png
#
#
# : NAME :
#
# Folders symlinked using movie names
# For folks whose movie folders don't begin with the movie name.
# Ideally removes 'the' prefix.
#
#
# : NEW :
#
# (not yet implemented)
# This is probably a hack to ensure we install a folder icon for "new" movies,
# which would likely be movies that reside in a torrent directory.
# I have not decided if this is a top-level shortcut, or a Genre, or just a subfolder.
#
#
# : OFFLINE :
#
# (not yet implemented)
# Movie's folder and information exists but the video file itself is not present.
#
#
# : RATING :
#
# folders for 0 thru 10 Rating (or maybe other ratings, which you will configure here some day)
# needs RATING_SET  PATH
#
# : RUNTIME :
#
# (not yet implemented)
#
#
# : STUDIO :
#
# (not yet implemented)
#
#
# : TOP250 :
#
# Single folder of all movies in order of TOP250 placement.
#
#
# : WATCHED :
#
# (not yet implemented)
#
#
#
# END of CAT Documentation
#
#


#
# DO add trailing slashes to directories (to facilitate easy appending)
# DO NOT use windows backslashes
#


# Uncomment this line to debug config file parsing an do nothing else
#DEBUG	CONFIG	on

# Comment this line out to run the commands to make the symlinks and stuff
# Be sure to inspect and test the command files before you run them!!!
#DEBUG	COMMANDS	on


# errors go to stderr, info goes to log
LOG_INFO	/tmp/hdd/volumes/HDD1/Resource/Jukebox/medelamer.log
LOG_ERRORS	/tmp/hdd/volumes/HDD1/Resource/Jukebox/medelamer.log


# The actual movie collection we will scrape from (and create symlinks to) 
# script might not function if this path contains spaces
#
# This can be either be an explicit path to a folder of media folders, for example
# /tmp/hdd/volumes/HDD1/Movies/
#
# or it can be the special code: USE_FIRST_SHORTCUT
#
# The script will look through your shortcuts file for the first one that
# looks like a legitimate collection shortcut
# -this will require that you correctly define VW_SHORTCUTS and VW_ICONS, etc
# (but you dont have to enable shortcuts to use this)
# -optionally create these two dummy files elsewhere and make the first shortcut your collection path 
COLLECTION	AUTO	USE_FIRST_SHORTCUT
#COLLECTION	SEAN_DNF	/tmp/hdd/volumes/HDD1/Movies/


# Folder where the categories will be created
# (videowall shortcuts must be created for each category subdirectory via mede8er GUI or via this script)

CAT_ROOT	SEAN_DNF	/tmp/hdd/root/Jukebox/


# The root folder that contains all of your custom icon libraries
ICON_SRC	SEAN_DNF	/tmp/hdd/volumes/HDD1/Resource/Jukebox/icon_libs/


# Videowall SHORTCUTS

# Set this to "TRUE" and shortcuts for each category will be added to your videowall
# (comment this out or use any other value to disable it)
# I recommend leaving this enabled and using 'dummy' shortcut files rather than disabling it
VW_SHORTCUTS	ENABLED	FALSE

# if you don't know the shortcut name for your mounted filesystem where we will make our categories,
# just add a shortcut via media manager and then go look at the shortcut file
# When shortcuts are added to the file, we concatenate this prefix + category folder
# very important to have double slash prefix! // - that's how we later tell those shortcuts are ours
VW_SHORTCUTS	PREFIX	//tmp/ramfs/volumes/HDD:/

# Very unlikely you would ever change these. They are firmware dependant.
# always have trailing slash on these please
VW_SHORTCUTS	LABELS	/tmp/ramfs/labels/
VW_SHORTCUTS	VOLUMES	/tmp/ramfs/volumes/
VW_SHORTCUTS	NET_MOUNTS	/tmp/netb/mnt/

# The file that contains the ordered list of moviewall shortcuts
# Set this to some other value if you have existing shortcuts you don't want erased!
#/tmp/ramfs/volumes/SYSTEM:/Movies
#/tmp/ramfs/volumes/SYSTEM:/Genre
#/tmp/ramfs/volumes/SYSTEM:/Top-250

VW_SHORTCUTS	LIST_FILE	/usr/local/etc/dvdplayer/JukeBoxPathL1.dat

# The file that contains the ordered list of moviewall shortcuts' icons
# custom icons are supposed to be in VW_SHORTCUTS_ICONS_PATH (/videowall)
# Set this to some other value if you have existing shortcuts you don't want erased!

# Movies.png
# Genres.png
# Top-250.png

VW_SHORTCUTS	ICONS_FILE	/usr/local/etc/dvdplayer/GenreList.dat

# Where mede8er videowall expects your custom shortcut and folder icons to be placed
VW_SHORTCUTS	ICONS_PATH	/tmp/hdd/volumes/HDD1/videowall/


# for building list filenames. list_root must be a working directory for temporary files

LIST	ROOT	/tmp/hdd/volumes/HDD1/Resource/Jukebox/tmp/
LIST	SECTION	sect
LIST	INFO	ilist
LIST	CMDS	clist
LIST	SORTED	sorted


# XML FETCHER RELATED VARIABLES

# normally don't need to change any of these but these aren't just eye candy..

# If you don't want any of these types to be used, comment them out here
ID_SUM	SUM
ID_FAIL	FAIL
ID_XML	XML
ID_MXML	MXML
ID_DPXML	DPXML
ID_TGXML	TGXML


# sed script used to cull genre names from the info file
# can't get this to work due to shell escapes. hardcoded in script

#gen_SUM	/Genre:\ /,/$/ {s~.*Genre:\ ~~ ; s~,\ ~\n~gp}
#gen_XML	/<genres>/,/<\/genres>/ {s/<genre>\(.*\)<\/genre>.*/\1/p ; s/<genre index.*>\(.*\)<\/genre>.*/\1/p }
#gen_DPXML	/<Genres>/,/<\/Genres>/ {s/.*<Genre>\(.*\)<\/Genre>.*/\1/p }
#gen_TGXML	/<genre>/,/<\/genre>/ {s/.*<name>\(.*\)<\/name>.*/\1/p}


# filename patterns possibly both regex and find formats

nam_SUM	summary.txt
nam_TGXML	*.nfo
nam_MXML	movie.nfo

#regex not in find
rnam_DPXML	[[:digit:]]\{12\}\.xml
nam_DPXML	[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9].xml

#regex not in find
rnam_IMDB	tt[[:digit:]]\{7\}
nam_IMDB	tt[0-9][0-9][0-9][0-9][0-9][0-9][0-9].xml


# regex to determine file type 

reg_TGXML	^<.*ThumbGen.*>
reg_DPXML	^<!--DVD Profiler Collection Export-->
reg_XML	^<details>
reg_SUM	.*ReportID assets1.frx.*
# must check AFTER thumbgen as it would match
reg_MXML	^<movie.* 

# END XML FETCHER RELATED VARIABLES


# CATEGORY LIST AND CATEGORY DEFINITIONS
# Edit as Desired
# If you encounter unknown genres, consider reporting them to the script author.

# The default SET to use from this file. (Used if not specified elsewhere.)
DEFAULT	SET	GlynRS2 icons V2

# Begin the set Definition (multiple sets not supported yet as of rev4)
# I'm not sold on the idea of icon sets.. maybe just draw from any set


SET	BEGIN	GlynRS2 icons V2


# CATEGORY LIST
# COMMENT out any categories you don't want created
# Middle column is the folder name and can be changed as desired.
# Videowall shortcuts will be built in the order categories are listed
# you can REORDER these according to your preference

CAT	BEGIN	GlynRS2 icons V2
CAT	PATH	Category

GENRE	Genre	Genre.png
AZ	A-Z	A-Z.png
NAME	Name	All Movies by Name.png
DECADE	Decade	Movie Year.png
RATING	Rating	All Movies by Rating.png
#TOP250	TOP-250	Favorites.png

#3D	3D_Movies	3D Movies.png
#ACTOR	Actor	All Movies by Actor.png
#ALL	All	All Movies.png
#ANIMATED	Animated	Animated movies2.png
#DIRECTOR	Director	Director.png
#NEW	1-New	New Releases.png
#OFFLINE	Offline	Offline Movies.png
#RUNTIME	Runtime	All Movies by Runtime.png
#STUDIO	Studio	All Movies by Studio.png
#WATCHED	Watched	All Movies by Watched.png

CAT	END	GlynRS2 icons V2


# Icons are be assumed to be in this icon lib subfolder
AZ_SET	PATH	AZ


# Icons are be assumed to be in this icon lib subfolder
DECADE_SET	PATH	Decade


# Add/Change Genres as desired, but always define "Other" genre as the catch-all
# Order is irrelevant, other than just keeping the list manageable
# Icons are be assumed to be in this icon lib subfolder

GENRE_SET	BEGIN	GlynRS2 icons V2
GENRE_SET	PATH	Genre

Other	Other	Unknown.png
Accessories	Other	Unknown.png
Action	Action	Action2.png
Adult	Adult	Porn.png
Adventure	Adventure	Adventure.png
Animation	Animation	Animated movies2.png
Anime	Anime	Anime.png
Asian	Asian	Asian Movies.png
Biography	Biography	Biography.png
Classic	Classic	Classics.png
Comedy	Comedy	Comedy_Fixed.png
Crime	Crime	Crime.png
Disaster	Disaster	Disaster.png
Documentary	Documentary	Documentary.png
Drama	Drama	Drama.png
Family	Family	Family.png
Fantasy	Fantasy	Fantasy.png
Film Noir	Film_Noir	Film-Noir.png
History	History	History.png
Horror	Horror	Horror.png
Martial Arts	Martial_Arts	MMA.png
Music	Music	Music.png
Musical	Musical	Musical.png
Mystery	Mystery	Mystery.png
Nature	Nature	Nature.png
News	News	News.png
Romance	Romance	Romance.png
Science-Fiction	Sci-Fi	Science Fiction1.png
Sci-Fi	Sci-Fi	Science Fiction1.png
Special Interest	Special_Interest	serien.png	
Short	Short	Short.png
Sport	Sports	Sports.png
Sports	Sports	Sports.png
Splatter	Horror	Horror.png
Suspense/Thriller	Thriller	Thriller.png
Talk-Show	Talk-Show	Talk Show.png
Television	Television	TV_New.png
Thriller	Thriller	Thriller.png
War	War	War.png
Western	Western	Western.png

GENRE_SET	END	GlynRS2 icons V2


# Icons are be assumed to be in this icon lib subfolder
RATING_SET	PATH	Rating

SET	END	GlynRS2 icons V2

#//EOF